# QTimeLine Class Reference

### [com.trolltech.qt.core package]

Inherits QObject.

### Constructor

- void QTimeLine(int duration, QObject parent)

### Constructor Properties

- prototype: The QTimeLine prototype object
- Forward
- Backward
- Direction( value )
- EaseInCurve
- EaseOutCurve
- EaseInOutCurve
- LinearCurve
- SineCurve
- CosineCurve
- CurveShape( value )
- NotRunning
- Paused
- Running
- State( value )

### Prototype Object Properties

The QTimeLine prototype object inherits properties from the QObject prototype object and also has the following properties.

- int currentFrame()
- qreal currentValue()
- int endFrame()
- int frameForTime(int msec)
- void setEndFrame(int frame)
- void setFrameRange(int startFrame, int endFrame)
- void setStartFrame(int frame)
- int startFrame()
- State state()
- qreal valueForTime(int msec)

### Instance Properties

QTimeLine objects inherit properties from the QTimeLine prototype object and also have the following properties.

- duration
- updateInterval
- currentTime
- direction
- loopCount
- curveShape
- easingCurve